# H248_TopologyRequest_topologyDirection Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Enumerations { e_bothway, e_isolate, e_oneway }

## Public Member Functions

| H248_TopologyRequest_topologyDirection (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H248_TopologyRequest_topologyDirection & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_TopologyRequest_topologyDirection::Enumerations

Enumerator:

  e_bothway |
  e_isolate |
  e_oneway |

## Constructor & Destructor Documentation

H248_TopologyRequest_topologyDirection::H248_TopologyRequest_topologyDirection | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_TopologyRequest_topologyDirection& H248_TopologyRequest_topologyDirection::operator= | ( | unsigned | v | ) |

PObject* H248_TopologyRequest_topologyDirection::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h